Name:           notification-daemon-engine-nodoka
Version:        0.1.0
Release:        11%{?dist}
Summary:        The Nodoka theme engine for the notification daemon

Group:          System Environment/Libraries
License:        GPLv3+
URL:            https://nodoka.fedorahosted.org/
Source0:        https://fedorahosted.org/releases/n/o/nodoka/notification-daemon-engine-nodoka-%{version}.tar.gz
Patch0:         notification-daemon-engine-nodoka-clipping.patch
Patch1:         notification-daemon-engine-nodoka-0.1.0-version-check.patch
Patch2:         notification-daemon-engine-nodoka-rtl.patch
Patch3:         notification-daemon-engine-nodoka-base-color.patch
# drop libsexy dep
Patch4:		sexy.patch
Patch5:		notification-daemon-engine-nodoka-window-type.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.17.1
BuildRequires:  libxml2-devel
BuildRequires:  autoconf automake libtool
Requires:       notification-daemon

%description
The Nodoka theme engine for the notification daemon.


%prep
%setup -q
%patch0 -p1 -b .clipping
%patch1 -p1 -b .version-check
%patch2 -p1 -b .rtl
%patch3 -p1 -b .base-color
%patch4 -p1 -b .sexy
%patch5 -p1 -b .window-type

autoreconf -i -f

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#remove .la files
find $RPM_BUILD_ROOT -name *.la | xargs rm -f || true


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING Credits NEWS README
%{_libdir}/notification-daemon-1.0/engines/libnodoka.so

%changelog
* Fri Sep 18 2009 Matthias Clasen <mclasen@redhat.com> - 0.1.0-11
- Set the proper type hint on notification bubbles (bgo#595062)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 21 2009 Matthias Clasen <mclasen@redhat.com> - 0.1.0-9
- Fix the libsexy removal patch

* Thu Jul  2 2009 Matthias Clasen <mclasen@redhat.com> - 0.1.0-8
- Drop libsexy dep

* Sat Jun 20 2009 Martin Sourada <mso@fedoraproject.org> - 0.1.0-7
- Use gtkrc specified color for background (fixes rhbz #498422)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 27 2008 Martin Sourada <mso@fedoraproject.org> - 0.1.0-5
- Add support for rtl (rhbz #475381)

* Sun Nov 23 2008 Martin Sourada <mso@fedoraproject.org> - 0.1.0-4
- Make version check less strict (mclasen, rhbz #472661)

* Wed Jul 16 2008 Martin Sourada <martin.sourada@gmail.com> - 0.1.0-3
- Don't clip text in message bubbles (rhbz #455617)

* Fri May 16 2008 Martin Sourada <martin.sourada@gmail.com> - 0.1.0-2
- Add BR: libxml2-devel, see #446842

* Sun Apr 20 2008 Martin Sourada <martin.sourada@gmail.com> - 0.1.0-1
- Initial RPM package
